#include <vector>
#include <algorithm>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,scena, medijana, elemementM, minE, maxE,rast;
    cin >> n;
    cin >> m;
    medijana=(n / 2)+1;
    vector <int> a(n);
    vector <int> kraj(m);
    for (int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    
    sort(a.begin(), a.end());
    elemementM=a[medijana-1];
    minE=a[0];
    maxE=a[n-1];    
    for(int i=0; i<m; i++){
        cin >> scena;
        if (scena == elemementM)
            kraj[i]=0;
        if (scena<minE) kraj[i]=n+1;
        if (scena>maxE) kraj[i]=n;
        
        
        if (scena>elemementM && scena<maxE){
        vector <int>::iterator  pos1 = lower_bound(a.begin(), a.end(), scena);
        int d = distance(a.begin(), pos1);
        kraj[i]=(d*2)-n;	
		}  

    }
    for (int i = 0; i < m; i++)
    {
        cout <<kraj[i]<<endl;
    }
            
    return 0;
}